Plugin Name: Tickera
Author: Tickera.com

= 3.5.2.6 28/03/2024 =
* Secure tickets download urls backward compatibility.
* Additional "tc_stripe_checkout_form_styles" filter hook to customize Stripe Elements 3D Secure form styles.

= 3.5.2.5 26/03/2024 =
* "tc_checkins_time_basis_field_name" filter hook: additional "ticket_id" argument.
* "tc_allowed_checkins_per_time_basis_field_name" filter hook: additional "ticket_id" argument.
* "tc_checkins_time_basis_type_field_name" filter hook: additional "ticket_id" argument.
* Ability to search for buyer information in Tickera > Attendees & Tickets
* Secure tickets download urls.
* Attendees & Tickets page: Initialize event filter options with 10 most recent events.
* Attendees & Tickets page: Additional "tc_init_event_filter_options" filter hook to modify event filter's initial options.
* Permanently deleted events causing warning errors in Tickets Table. [Fixed]

= 3.5.2.4 11/03/2024 =
* Ability to render date input fields via 'tc_owner_info_fields' and 'tc_buyer_info_fields' hooks.
* Added Bridge For WooCommerce notification when WooCommerce and Tickera are active
* Added advert to themes page
* Additional "tc_cart_quantity_default_limit" filter hook. Default: 500
* Tickera > Tickets Types: Regular "Event Filter" select field to chosen field.
* Tickera > Attendees & Tickets: Regular "Event Filter" select field to chosen field.

= 3.5.2.3 24/01/2024 =
* Hide order details page's rows via css. Added few more ids and classes.
* Remove Cancelled Orders From Stock (Tickera Standalone) opposite functionality issue. [Fixed]
* Attendees first and last name fields show as default.
* Attendees email and verification email hidden as default.
* Cart being emptied once the "minimum tickets per order" has been validated. [Fixed]
* Additional "tc_before_session_start" and "tc_after_session_started" for header modification.
* Ability to bulk remove old tickets. Tickera > Settings > Delete Info
* Send "Admin Order Completed Email Notification" (only if enabled) on manually updated order status. Tickera > Orders
* Additional "tc_tickets_table_email_before_table" and "tc_tickets_table_email_after_table" action hook to allow developers to dynamically insert content right before and after the tickets table sent via order email notification. Arguments: $order_id int, $tickets array, $columns array
* Allow anchor tag in payment page's error container.
* Update PayTabs integration with Transaction API (Hosted Payment Pages).
* TC_Checkin_API class: Additional "ticket_id" and "ticket_type_id" arguments in "tc_available_checkins_per_ticket_field_name" filter hook.
* Checkin API: Additional "tc_checkin_custom_ticket_info" filter hook. Allow developer to insert additional details in the checkin app tickets list section.
* Admin Order Email Notification: Additional From email address field.
* Clearing out PHP8.2 deprecated errors.

= 3.5.2.2 11/12/2023 =
* Tickera Standalone: "Show cart menu" option no longer working. Tickera > Settings > General > Menu. [Fixed]
* PayU Latam Payment Gateway: Additional "Periodically confirm order status" option.
* Cart Page: Render the attendee's fields not exceeding the maximum tickets per order.
* Apply "tc_ticket_table_email_columns" filter hook for "ORDER_DETAILS" email placeholder.
* Freemius only loading when there is no AJAX call

= 3.5.2.1 20/11/2023 =
* Disabling ticket download url nonce as it expires and causing issues in the email's ticket download urls.

= 3.5.2.0 17/11/2023 =
* Bridge for Woocommerce: Disable click event for 'Ticket - Add to Cart' and 'Event - Add to Cart' blocks.
* Updates for Gutenberg Styles.
* Bridge for Woocommerce Gutenberg: Blocks that are using deleted product/ticket_type is causing critical error. [Fixed]
* Download ticket's url nonce no longer working. [Fixed]
* Exclude failed checkins from the total checkins count. Currently used in checkinera and sales api.
* PayGate: Ability to set PayWeb version
* PayGate: PayWeb3 integration

= 3.5.1.9 12/10/2023 =
* Unwanted labels being displayed in the checkout page if the "Show Attendees Fields" is enabled while the First/Last names and emails are disabled. Options can be found at Tickera > Settings > General. [Fixed]
* Missing required fields in the checkout page. [Fixed]

= 3.5.1.8 10/10/2023 =
* Additional "Event Title" in checkin api tickets_info response.
* Checkin API: Ability to collect both tickets from Tickera standalone and Bridge for Woocommerce with the help of "tc_paid_post_statuses" and "tc_order_is_paid" filter hooks.
* Tickera Gutenberg Blocks: Disable event selector on current event.
* Order details Tickets Table: Event column discrepancy. [Fixed]
* Exclude Ticket Types that are currently used as seats from the Event's Tickets Table.
* Checkin API: Additional "tc_ticket_checkin_ticket_type_event_id" filter. This will enable developers to collect ticket_type's event_id either from Tickera Standalone or alongside Bridge for Woocommerce.
* Additional tc_lock_event_single_content to disable specific event information (e.g event date and location) from rendering. Currently used for block type themes.
* Additional "owner_index" argument for tc_owner_info_fields filter hook's function renderer.
* Tickera > Events datepicker: Unable to click "Sunday" colum due to overlapping container. [Fixed]
* Additional "tc_common_payment_gateway_fields" sub_key argument to allow developer to alter payment gateway common fields.
* Custom Payment Methods: Additional $skip_confirmation_page class variable to skip confirmation page after successful payment process.

= 3.5.1.7 30/08/2023 =
* Void redirection if a request is coming from REST API.
* Additional "tc_cart_col_before_ticket_name" filter hook to modify ticket type name at Payment Summary page.
* A hook to Bridge for Woocommerce: Replace "tc_wb_allowed_tickets_access" with "tc_wb_maybe_send_attendee_order_completed_email".
* Stripe Element 3D Secure: Additional security measures.
* Stripe: Upgraded API Version to 2023-08-16.
* Event page: Apply the admin notice generated by "Show tickets automatically" option on the "Event - Add to Cart" and "Ticket - Add to Cart" gutenberg builder blocks.

= 3.5.1.6 09/08/2023 =
- Additional "tc_bypass_redirection" filter hook to bypass redirection on builders preview.
- "The preview could not be loaded" notice appearing when editing tickera pages (e.g payment and process payment pages ) via Elementor Builder. [Fixed]
- Divi frontend and Tickera shortcode builder compatibility.
- Stripe Payment: Additional option to specify api version. Field name: API Version
- Attendees & Tickets: Replace "tc_extended_search_meta_keys" with "tc_tickets_instances_extended_search_meta_keys".
- Attendees & Tickets: Additional "tc_tickets_instances_init_table_by_order_statuses" filter hook. Parameters: $order_statuses array
- Clearing TCPDF PHP8.1 Deprecated errors.
- Display response message after order confirmation resend email.
- API Key not generating on newly created/duplicated Events. [Fixed]
- Additional TICKET_CODE placeholder in "Attendee Order Completed Email".
- Clearing checkin php errors for those deleted ticket types/orders.
- Disable auto generation of API on event with auto-draft status.
- Stripe Elements 3D Secure overlapping form issue. [Fixed]

= 3.5.1.5 05/07/2023 =
- Automatically create api key on duplicated events.
- Set error_reporting with E_ALL level if TC_DEBUG is defined. Otherwise, error_reporting inherit the default level.
- Site Health: PHP Session notice. [Fixed]
- Sortable Attendees & Tickets table.
- Updated Freemius SDK

= 3.5.1.4 06/06/2023 =
- Addition "tc_delete_pending_orders_ignore_gateway_classes" filter hook to allow developers to ignore a list of gateway classes in "Cancel Pending Orders".
- Unable to "Add to cart" due to deprecated jquery function. [Fixed]
- Stripe library PHP 7.4 and 8.1 deprecated errors. [Fixed]
- Age restriction no longer working if Tickera is running alongside Bridge for Woocommerce and Attendees fields option is disabled. [Fixed]
- Incompatibility with Yoast SEO "Start SEO data optimization". Error caused by the function result to cart page redirection. [Fixed]
- Disable autocomplete in quantity field in cart page.
- Additional "tc_extended_search_meta_keys" filter hook to extend filters in admin Attendees & Tickets.
- "Free Orders" payment method: "Automatic payment status" option not working on fresh installation. [Fixed]
- Gutenberg blocks/elements styles. Developer Mode (Tests in progress).

= 3.5.1.3 12/05/2023 =
- "Ticket Add to Cart" gutenberg blocks attributes "Price position", "Button Type", "Soldout Message" not rendering properly in frontend. [Fixed]
- Unable to insert additional space on cart buyer/owner fields values. [Fixed]
- Creating new event no longer generates API Access entry. [Fixed]
- Stripe library PHP 7.4 and 8.1 deprecated errors. [Fixed]

= 3.5.1.2 09/05/2023 =
- Disable show/hide postbox toggle in Tickera > Orders > Specific Order. Issue: caused the order details postbox missing without any visibility of the toggle.
- Payment Form (Frontend): Unclickable 'Proceed to checkout' button due to overlapped containers. [Fixed]
- tc_use_only_digit_order_number filter: ability to convert order id/name to only numbers. [Fixed]
- Additional $oder_id and $order_attendee_id arguments in "tc_order_completed_attendee_email_placeholder_values" filter.
- Additional "tc_style_css_th" to insert inline css for order details and tickets tables.
- Additional "tc_pdf_disable_ticket_filename_validation" filter. Ability to allow symbols in the filename. Default value: false.
- Additional "tc_after_attendee_info_updated" action to allow additional steps right after an attendee information (e.g first and last name) has been updated. Fields are currently located at Tickera > Orders
- Clearing Php warning error messages at Tickera > Orders.
- Gutenberg support for event post type.
- Compatibility with Remove Dashboard Access plugin
- Checkins API: tickets_info and event_essentials load tickets from Tickera Standalone and Bridge for Woocommerce separately.
- Unable to add/edit discount codes due to overlapping containers. Tickera > Discount Codes. [Fixed]
- Additional notice in event gutenberg builder. Notice to create ticket types on newly created events.
- 'Event terms and condition field' not working properly in Gutenberg builder. [Fixed]
- Additional 'tc_track_order_after_confirmation' action hook at order confirmation page. File: tickera/includes/templates/page-confirmation.php
- Corrupted Tickera > Settings > Payment Gateways causing Setting/Section name missing. [Fixed]
- Compliance for WP6.2
- Compatibility for PHP8.1
- Added wrapping div for some blocks

= 3.5.1.1 06/02/2023 =
- Unable to initiate Stripe Element 3D Secure Payment Gateway on some websites. [Fixed]
- Mobile responsiveness of Tickets/Events table on smaller screens.
- Gutenberg block elements: Update deprecated InspectorControls and serverSideRender.
- Additional security measures for CSRF attack.
- Breakdance builder compatibility issue due to unclosed output buffer. [Fixed]
- Tickera > Discount Codes: Hide "Add new discount code" form as default.
- Publish tickets once untrashed.

= 3.5.1.0 19/12/2022 =
- Compatibility issue with Themify Ultra v7.0.1. [Fixed]
- Additional security measures for CSRF attack.

= 3.4.9.9 14/12/2022 =
- Additional security measures when downloading tickets in frontend ( e.g order details page and emails ).
- Unable to skip Installation Wizard. [Fixed]
- Updated action hooks at general-functions.php @tc_get_tickets_table_email method. Removed: tc_table_column, tc_email_table_row. Added: tc_tickets_table_email_column_title_before_{column_id}, tc_tickets_table_email_column_title_after_{column_id}, tc_tickets_table_email_column_value_before_{column_id}, tc_tickets_table_email_column_value_after_{column_id}, tc_tickets_table_email_additional_row.
- Updated action hooks at general-functions.php @tc_get_order_details_email method. Added: tc_order_details_email_column_title_before_{column_id}, tc_order_details_email_column_title_after_{column_id}, tc_order_details_email_column_value_before_{column_id}, tc_order_details_email_column_value_after_{column_id}, tc_order_details_email_additional_row
- Updated action hooks at general-functions.php @tc_order_details_table_front method. Added: tc_order_details_table_front_column_title_before_{column_id}, tc_order_details_table_front_column_title_after_{column_id}, tc_order_details_table_front_column_value_before_{column_id}, tc_order_details_table_front_column_value_after_{column_id}, tc_order_details_table_front_additional_row
- Allow developer to insert additional information at event frontend page via "tc_the_content_pre" filter action.
- Disable "Attendee Order Completed Email" if "Show attendee fields" or "Show attendee email field" is disabled at Tickera > Settings > General.
- Ability to limit checkins per time basis.

= 3.4.9.8 24/11/2022 =
- Ticket Templates: Equal width across all columns (ticket elements).
- Ticket Templates: Extra top break line is being added as default at "Ticket Description Element". [Fixed]
- Event Quantity Limitation: "Unlimited" value no longer works. [Fixed]
- Restoring order from trash keeps the associated ticket instances in draft, causing attendees' tickets unavailable for download. [Fixed]
- JQuery Validation - Updated to v1.19.5
- Additional string translation for cart fields validation messages.
- Tickera > Settings > API Access: Unable to edit existing API Keys. [Fixed]
- Optimized Event Tickets - Shortcode (Dropdown type)

= 3.4.9.7 14/11/2022 =
- Additional "tc_barcode_element_label" filter in tickera > includes > ticket-elements > ticket_barcode_element.php file. Parameters: ticket code string, ticket instance object.
- Additional "Display Type" parameter in Event Tickets - Shortcode. Values: Table (Default) and Dropdown. Applied in both Tickera Standalone and alongside Bridge for Woocommerce.
- Additional $ticket_instance object argument in "tc_ticket_description_element" filter hook. This will allow developers to collect data directly from the tickets instances.
- Tickera > Settings > API Access: Hide API Key form as default.
- Shortcode builder "Event Tickets": Hide Quantity Column Title as default.

= 3.4.9.6 28/09/2022 =
- Additional "force_download" parameter in tc_change_tcpdf_save_option filter hook. Previously fixed with "I" value.
- Coincide the additional field "Font Subset" from Tickera - Custom Ticket Template Fonts v1.0.9.
- Admin notices appearing in the frontend event pages regardless of the user status, logged in or out. [Fixed]
- Warning message "Cannot modify header information - headers already sent" appearing in cart and payment pages. [Fixed]
- Compatibility between ticket attachment filename and "Custom Ticket PDF filename" custom add-on. [Fixed]
- Tickera > Settings > Export PDF: Unable to export due to undefined errors. Occurs if "Show attendee fields" option is disabled. [Fixed]
- Tickera > Settings > Export PDF: Applied pagination. Can be modified with "tc_export_pdf_pagination_per_page" filter hook.
- Updated Freemius SDK

= 3.4.9.5 15/09/2022 =
- Unable to Check in tickets in Admin > Tickera > Attendees & Tickets > details page due to missing "API Key Checkin Form". [Fixed]
- Unable to update "Show tickets automatically" and "Hide events after expiration" fields in Tickera > Events page. [Fixed]
- Exclude order fraud status as default in the ticket_sold shortcode output.
- Offline Payment: Empty "Payment Instruction" field while "Send Instruction via Email" is enabled causing mail error. [Fixed]
- In some cases $wpdb->update to change order status somehow not working on some websites. Applied additional logic to handle such cases.
- Paypal Standard payment method: IPN page error if Custom Form plugin is active. This error is currently causing order status stuck to order received. [Fixed]

= 3.4.9.6 28/09/2022 =
- Additional "force_download" parameter in tc_change_tcpdf_save_option filter hook. Previously fixed with "I" value.
- Coincide the additional field "Font Subset" from Tickera - Custom Ticket Template Fonts v1.0.9.
- Admin notices appearing in the frontend event pages regardless of the user status, logged in or out. [Fixed]
- Warning message "Cannot modify header information - headers already sent" appearing in cart and payment pages. [Fixed]
- Compatibility between ticket attachment filename and "Custom Ticket PDF filename" custom add-on. [Fixed]
- Tickera > Settings > Export PDF: Unable to export due to undefined errors. Occurs if "Show attendee fields" option is disabled. [Fixed]
- Tickera > Settings > Export PDF: Applied pagination. Can be modified with "tc_export_pdf_pagination_per_page" filter hook.
- Updated Freemius SDK

= 3.4.9.5 15/09/2022 =
- Unable to Check in tickets in Admin > Tickera > Attendees & Tickets > details page due to missing "API Key Checkin Form". [Fixed]
- Unable to update "Show tickets automatically" and "Hide events after expiration" fields in Tickera > Events page. [Fixed]
- Exclude order fraud status as default in the ticket_sold shortcode output.
- Offline Payment: Empty "Payment Instruction" field while "Send Instruction via Email" is enabled causing mail error. [Fixed]
- In some cases $wpdb->update to change order status somehow not working on some websites. Applied additional logic to handle such cases.
- Paypal Standard payment method: IPN page error if Custom Form plugin is active. This error is currently causing order status stuck to order received. [Fixed]

= 3.4.9.4 05/09/2022 =
- Potential bug found in Attendees & Tickets that possibly overrides other WP_Query parameters. [Fixed]
- Automatically remove whitespaces from the cart fields values.
- Authorize.net Payment method: Create tickera order, only if requested transaction returns approved.
- Authorize.net Payment method: Updated form validation and error handling.
- Clear "WP_Scripts::localize was called incorrectly" error in payment summary page if Authorize.net is enabled.
- Additional tc_stripe_checkout_metadata filter hook in Stripe payment gateways. This will allow insertion of metadata in the Stripe payment intent.
- Clearing out php error at confirmation page if order doesn't exists.
- Additional error handler in Stripe payment gateway. Ensures stripe_session_id and stripe_payment_intent meta are updated.
- Critical error appears in Tickets Template preview if using Barcode EAN type. Dummy value doesn't meet the EAN requirements. [Fixed]
- Replaced tc_order_completed_admin_email_placeholders with tc_order_placed_admin_email_placeholders filter. Tickera > Settings > E-mail > Admin Order Placed Email
- Replaced tc_order_completed_admin_email_placeholder_values with tc_order_placed_admin_email_placeholder_values filter. Tickera > Settings > E-mail > Admin Order Placed Email
- Accordion effect in selecting payment method (Payment Page) not working properly. [Fixed]
- Visible jumping/interchanging of payment methods arrangement in payment page. [Fixed]
- Selected payment method (Payment Page) doesn't expand once an error occur, requiring to be clicked. [Fixed]
- Stripe Payment Method: Invalid arguments error due to incorrect Stripe API Version. [Fixed]
- Additional error handler in Tickera > Discount Codes.
- Unable to adjust item quantity in cart page if Google translated. [Fixed]
- Authenticate cart form action/request in order to ensure post data is collected in the backend.
- Dashboard > Ticketing Store at a Glance Widget - Ticket Sold. [Fixed]
- Order notes is unresponsive if payment is done via Paypal Standard. [Fixed]
- Event/Tickets Table kept hidden once the Force Login option (Tickera > Settings > General) is reverted from Yes to No. [Fixed]
- Error notices not visible in the cart page in recent Wordpress released. [Fixed]
- Scheduling a post for later publish disables the Event's "Show tickets automatically" and "Hide event after expiration" options. [Fixed]

= 3.4.9.3 24/05/2022 =
- Unable to render Google Map element in Ticket Templates. [Fixed]
- Additional security patch applied in Ticket Templates.
- Additional validation for downloadable tickets based from order statuses. (e.g downloadable ticket links from email or from the website pages).
- Ability to hide tickets ineligible for check-in. Applies in Attendees & Tickets page. Option can be found at Tickera > Settings > General > Miscellaneous > "Hide tickets ineligible for check-in"
- Incorrect fee, tax and total values displaying in Tickera Standalone cart and checkout tables. Issue only occurs if there's a plugin or theme that for some reasons renders shortcode multiple times on page load (e.g tc_cart and tc_payment). [Fixed]
- Clearing PHP error in Discount column under Tickera > Order page. [Fixed]
- Ability to apply tax before fees. New option in Tickera > Settings > General > Store Settings > Apply tax before fees.
- Incorrect applied discount code notification in cart page. [Fixed]

= 3.4.9.2 01/02/2022 =
- Assign color for order refunded status. Default: The same color with order received (Gray).
- Incorrect class assigned to order refunded status in Tickera > Order table. [Fixed]
- Freemius SDK update

= 3.4.9.1 15/02/2022 =
- Long Field label of a Custom Form overlapping Ticket Elements in Tickera > Ticket Templates. [Fixed]
- Added Compatibility with Custom Form v1.2.5.5 for additional "Label" form element.
- Newly created ticket type with zero quantity is currently considered as "unlimited" instead of "Out of stock". [Fixed]
- Unable to save html/css styles in Payment Gateways WP Editor fields. [Fixed]
- Set "Event Quantity Limitation" default value to "Unlimited".
- Missing Tickera's "Settings" action link in plugins page. [Fixed]
- Broken Tickera's "Add-Ons" page when redirecting from the plugins page. [Fixed]
- Allow anchor/html tags in Event's "Location" field.
- Ticket(s) column in order page showing incorrect event x qty. Issue occurs if a ticket type is reassigned with another event. [Fixed]
- Ability to utilize "Additional CSS" option in Tickera's Gutenberg blocks/shortcode.

= 3.4.9.0 13/12/2021 =
- Link Type - Buy Now attribute in "Event Tickets" shortcode not redirecting automatically to cart page. [Fixed]
- Unable to translate Check-in apps using "Tickera Check-in App Translation". [Fixed]
- Newly created ticket type with zero quantity not showing out of stock in the frontend. [Fixed]

= 3.4.8.9 09/12/2021 =
- Fixed issue with Checkinera app license check (for certain license keys) - Checkinera 1.3.1 or higher version required
- Adjusted the minimum font size of the Ticket Template Element from 8pt to 6pt.
- Order Email Notifications unable to process Cc header. [Fixed]
- Unable to save Event speakers add-on fields. [Fixed]
- "Skip Payment Page" option not working (Tickera > Settings > General > Store Settings). [Fixed]

= 3.4.8.8 30/11/2021 =
- Independently display Age Confirmation field regardless if "Show Attendee Fields" is enabled or disabled.
- Missing Tickera Gutenberg Blocks if Bridge for WooCommerce is active. [Fixed]

= 3.4.8.7 30/11/2021 =
- Stripe Element 3D Secure stuck on loading if "Send Receipt" option is enabled. [Fixed]
- Missing Tickera blocks/components in gutenberg editor. [Fixed]
- Unnecessary Ticket's headers appearing in checkout page if "Show attendee fields" option is disabled. [Fixed]
- Unable to proceed to checkout if one of the custom form fields is set as optional. [Fixed]

= 3.4.8.6 24/11/2021 =
- Missing Order Tickets Seats IDs. Only occurs when attendees field is disabled in the frontend. [Fixed]
- Some Html entities not properly rendered in frontend ( appears after the released of v3.4.8.5 ). [Fixed]
- Tickera Widgets compatibility with Wordpress v5.8

= 3.4.8.5 22/11/2021 =
- Events not hidden even when expired ( only applicable if option "Show events on the front page" is enabled ). Option can be found at "General > Miscellaneous > Show events on the front page".

= 3.4.8.4 15/11/2021 =
- Additional fields validation in Cart and Checkout pages.
- Clear out empty html tags from Cart and Checkout pages DOM.
- Confirmation message before emptying the cart.
- Unaligned fields in cart and checkout pages. [Fixed]
- Missing checkout button if Free Payment Method is activated with zero total cart. [Fixed]
- Missing API Keys in "Attendees & Tickets" Check-in List page. [Fixed]
- Optimized Data Sanitization and Escaping
- Removed the possible security flaws
- Added new Freemius SDK

= 3.4.8.3 08/10/2021 =
- Additional option for Stripe Element 3D Secure Gateway to enable/disable Curl Persistent Connection. Setting the option to yes ( as default ) will help maximize the checkout performance.
- Ticket template's "Custom Image/Logo" element returns critical error if emptied. [Fixed]
- Additional logic in the backend that will allow custom sizes for the Ticket Templates. This can be achieved with Tickera's existing hooks. ( e.g filter tc_document_paper_size )
- Fixed XSS vulnerability with the buyer info fields


= 3.4.8.2 09/08/2021 =
- A javascript ( cart.js ) error appearing in the browser console that might potentially prevents a checkout process to complete. Appears whenever there's a plugin conflict. [Fixed]
- Bridge for Woocommerce: Unable to proceed Woocommerce Checkout when Tickera field "Age Confirmation" is enabled while "Show Owner Fields" is disabled. [Fixed]
- Fixed issue with CSS update notification display
- Gutenberg "Event - Add to Cart" shortcode not rendering in the admin page. [Fixed]
- Empty Order Confirmation Page. [tc_order_confirmation] shortcode unable to return data. [Fixed]
- QR Code not printing in Attendee's Ticket. [Fixed]

= 3.4.8.1 02/06/2021 =
- Additional "tc_ticket_template_element_font_size" hook for Ticket Template Elements font size.
- Cleanup extra spaces that causes misalignment of fields in checkout page.
- Ability to check-out tickets. Can be activated globally or per individual tickets.

= 3.4.8.0 31/03/2021 =
- Compatibility issue between Tickera's shortcode and Elementor Builders. [Fixed]
- Ticket Template: When setting up an element's top/bottom padding with zero values, it persistently creates 1 line break. Should be no line break. [Fixed]
- Undefined variables appearing in Seating Chart's frontend pages when its shortcode is loaded via gutenberg. [Fixed]
- Paypal Standard Gateway: Some response data is no longer returned by Paypal which also caused checkout unable to proceed to confirmation page. [Fixed]


= 3.4.7.9 10/03/2021 =
- PHP Error when shortcode loaded via WP Gutenberg. Appears when loaded with Bridge for Woocommerce. [Fixed]
- PHP Error appearing when using barcode element in the ticket template. [Fixed]
- PHP Deprecated Error: Required parameter follows optional parameter. A Compliance to PHP7.3, 7.4, 8.0
- Unable to create Ticket PDF due to PHP Deprecated Error. A Compliance to PHP7.3, 7.4, 8.0
- API Access: Intermittent attendees' list order. [Fixed]
- Checkout process: Incorrect discounted total value after receiving a session error. [Fixed]
- Unable to view/download attendees pdf when server is running PHP 7.4.14 [Fixed]
- Compatibility issue between Woocommerce and Tickera "Stripe Payment Gateway" Webhook Endpoint. [Fixed]
- Additional checkout buyer/owner fields backend validation.
- Additional error handing for Stripe Payment Gateway.
- Tickera together with Themes using wp_cache_flush() were causing every new menu items to revert to "custom link". [Fixed]
- Installation Wizard error in Wordpress 5.6.1. [Fixed]
- Wordpress Compliance: Replacing deprecated JQuery shorthand methods.

= 3.4.7.8 22/12/2020 =
- Ability to restrict API Access by Event Category. Page: Tickera > Settings > API Access
- Event Quantity Limit: Adjusted to base the calculation from Paid, Received and Fraud Order Statuses
- Fixed issue with the date select calendar not showing properly with the WordPress 5.6

= 3.4.7.7 24/11/2020 =
- Bug fixed: “There was an issue determining where Barcode Reader is installed."

= 3.4.7.6 23/11/2020 =
- Stripe payment gateway: update payment intent with an existing customer.
- Stripe payment gateway: Webhook marked as failed regardless it succeeded or not. [Fixed]
- Paytabs payment gateway unable to proceed to order confirmation page. [Fixed]
- Ability to update order ticket instances: Applicable only when an order status is not yet paid. [Fixed]
- Ability to update order ticket instances: Missing event quantity limit validation. [Fixed]
- Multiple events in one API KEY. Configuration page: Tickera > Settings > API Access
- Events suddenly disappears prior to its expiration. [Fixed]
- TCPDF Image output Forbidden 403 error on some servers. [Fixed]

= 3.4.7.5 29/09/2020 =
- Reverting back Paytabs filename from "paytabs-paypage.php" to "paytabs.php". PHP Error duplicated "TC_Gateway_PayTabs" class [Fixed]
- Stripe "Auth and Capture" Integration
- Missing paid tickets on success checkout [Fixed]
- [event_ticket_left] shortcode incorrect value when "Ticket quantity limitation" is activated. [Fixed]
- Additional filter "tc_discount_code_post_validation" for discount code post validation. Return custom error message if not validated.

= 3.4.7.4 - 13/08/2020 =
- Integrate permission_callback for Rest API Route

= 3.4.7.3 - 12/08/2020 =
- Bug fixed: Dropdown menu sometimes not working when two different versions of Select2 JQuery loaded in the site
- Bug fixed: Missing WPML Language Switcher in Home Page. Compatibility issue with WPML Multilingual CMS
- Ability to Select limit level based on ticket type or event. Can be configured in Tickera > Event
- Bug fixed: Returns PHP deprecation notices when checking in attendees (Check-in API)
- Bug fixed: Age verification not working in Tickera Standalone
- Admin email notification for refunded orders
- Added "Send Receipt" option in Stripe Payment Gateway

= 3.4.7.2 - 12/08/2020 =
- Update for WordPress 5.5

= 3.4.7.1 - 01/07/2020 =
- Bug fixed: Template preview and download returning unnecessary contents
- Bug fixed on ability to change Ticket Instances within an order: misalignments of the fields when clicking on them
- Bug fixed on "Client order complete email": Multiple emails sent even Attendees fields are disabled.
- Updated Paytabs Payment Gateway (Paypage) from API1 to API2
- Additional Discount code filters. Usage limit per user, user roles and returning customers [Reverted]


= 3.4.7.0 - 26/06/2020 =
- Bug fixed: Error notification for required fields (Custom Forms).
- Added display how many times discount code was used.
- Bug fixed: Discount code usage count
- Additional Discount code filters. Usage limit per user, user roles and returning customers
- Additional Order Status (Refunded)
- New "Empty cart" button in cart page
- Added discount code "Used Count" table column under Tickera > Discount Code page
- Attendees Order Completed Email: Option to enable email attachment

= 3.4.6.9 - 09/APR/2020 =
- Fixed integration with beaver builder
- Added ability to update order instances
- Added event name and event location placeholder in order complete e-mail for attendee and client.
- Added order status in attendees and tickets section
- Added error notification for required fields (custom Forms)
- Added hooks for developers
- Added Stripe 3D Secure payment gateway
- Bug fixed: compatibility with Elementor Builder
- Added email verification feature
- Security patch
- Added email verification feature 
- Authorize.Net updates compliance. From AIM to Authorize.Net API


= 3.4.6.7 - 03/JAN/2020 =
- Added duplicate feature for ticket template
- Add Attendee name placeholder for attendee order completed 
- Added new element event category in ticket template
- Added new element ticket date of purchase in ticket template
- Added confirmation for deleting ticket types
- Added Braintree 3DS2 Payment Gateway to comply with SCA/PSD2 Regulations.
- Additional (Attendee/Ticket) data saving for extended reports.
- Bug fixed: PHP Error appearing in the checkout page if only the free payment gateway is enabled.

= 3.4.6.6 - 07/NOV/2019 =
- Hide "Install Pages" admin notice when Bridge for WooCommerce is active
- PayU Latam - updated with the new API
- Added new constant TC_FULLSIZE_PATH which fixed image appearance in ticket templates on some servers - just add define('TC_FULLSIZE_PATH', true); in the wp-config.php if needed
- Added new argument ($api_key_id) to the tc_check_in_notification hook
- Added additional check for Stripe payment confirmation page (added new stripe_session_id argument, added client_reference_id to Stripe)

= 3.4.6.5 - 03/OCT/2019 =
- Added new option for check-in availability dates: When the event starts
- Improved Stripe payment gateway (moved stripe_session_id, stripe_payment_intent sessions to database)

= 3.4.6.4 - 30/SEP/2019 =
- Fixed issue with the "Site Health" caused by unconditional session starting
- Fixed font styling issue with Ticket ID ticket template element
- Small check-in API improvements

= 3.4.6.3 - 09/SEP/2019 =
- Stripe namespaces update to avoid conflicts
- QR Code TCPDF fix
- Added hooks for developers
- Fixed issue when sending confirmation e-mail WordPress changes status to pending
- Fixed issue with orders not showing for tc_order_history
- Fixed issue with sticky wrapper
- Changed the default class of calendar
- Calendar styling

= 3.4.6.2 - 10/JUL/2019 =
- Updated TCPDF library (6.2.25 version)
- Added back built-in WordPress option for visibility in the events' single page in the admin (instead of the toggle control)

= 3.4.6.1 - 04/JUL/2019 =
- Fixed issue with "tc_after_event_title_table_front_event_permalink" hook which shows ID of an even next to an event title on the order details page
- Removed allow_url_include from system information
- Fixed issue with menu not showing when WooCommerce and Bridge For WooCommerce are active

= 3.4.6 - 28/JUN/2019 =

- Added new option in settings "Remove Cancelled Orders From Stock" (Tickera standalone version)
- Fixed the issue with cancelled order count (in Tickera standalone version)
- Added new hook for developers "tc_after_event_title_table_front_event_permalink"
- Replaced Stripe description with tickets names


= 3.4.5 - 27/JUN/2019 =
- Updated Stripe API to support Strong Customer Authentication (SCA) and PSD2 regulation
- Fixed wording for event_category taxonomy
- Added discount field on the order details page (front)
- Fixed issue with sending duplicate notification emails upon editing an order

= 3.4.4 - 06/JUN/2019 =
- Fixed issues with some fonts in PDF documents

= 3.4.3 - 06/JUN/2019 =
- Fixed issue with missing freemius library

= 3.4 - 04/JUN/2019 =
- Added events filtering to ticket types
- Replaced live function which is depracted with on in jQuery
- Added improved plugin update option
- Fixed issue with check-in availability when days is set as criteria
- Fixed issue with filtering attendees and tickets
- Performance improvements: on the cart page (issues caused with the empty discount code check)
- Performance improvements: of all front-end pages (issue caused by get_hidden_events_ids called on each page) 
- Performance improvements: removed loading of unnecessary options on the front-end
- Performance improvements: speed up tc_get_tickets_count_sold query
- Fixed issue with discount code when the discount is greater then the price of a ticket
- Fixed issue with Impreza theme
- Added hooks for developers
- Added check-in fields to PDF export
- Fixed issue with discount unable to be deleted when WP Invoice is activated
- Fixed issue with dashboard widget
- Fixed issue with Buy Now button not redirecting to the cart page
- Fixed issue where Show Price doesn't work with Gutenberg

= 3.3.4 - 11/FEB/2019 =
- Added Philippines locale code to PayPal Standard
- Fixed issue with hard-coded wp_posts and wp_postmeta table names in the dashboard stats query

= 3.3.3 - 06/FEB/2019 =
- Drastic performance improvements for the dashboard stats widget
- Fixed issue with images being loaded in the ticket templates
- Added hooks for developers
- Removed Authorize.net MD5 hash field


= 3.3.2 - 09/JAN/2019 =
- Fixed issue where date filtering of the events doesn't work in the backend
- Removed unnecessary options from System Info tab (and added new hooks for developers) and moved to PayPal standard payment gateway
- Replaced cURL in the TCPDF library with WP_Http

= 3.3.1 - 02/JAN/2019 =
- Added quick search feature on the general settings screen in the admin

= 3.3 - 08/DEC/2018 =
- Fixed issue where in the cart titles stay even after turning e-mail, first name and last name off
- Fix for HTML characters for event name in the check in API
- Added hooks for developers
- Fixed issue with PDF attendee export where the payment date breaks the table
- Added options for overriding cart templates (shortcode-cart-contents.php and shortcode-cart-additional-info-fields.php) - hint: just copy files to the theme's directory and edit

= 3.2.9.9 - 13/NOV/2018 =
- Added support for Stripe.com zero-decimals currencies ('MGA', 'BIF', 'CLP', 'PYG', 'DJF', 'RWF', 'GNF', 'UGX', 'JPY', 'VND', 'VUV', 'XAF', 'KMF', 'KRW', 'XOF', 'XPF') - https://stripe.com/docs/currencies#zero-decimal
- Added Cookie Hash system variable (useful when determining names of Tickera cookies which should be excluded from caching)

= 3.2.9.8 - 07/NOV/2018 =
- Fixed issues with Gutenberg editor in the upcoming WordPress 5.0
- Fixed issue with age verification
- Added more specific jQuery targeting for quantity selector

= 3.2.9.7 - 21/SEP/2018 =
- Added new field "Google Maps API Key" in the Settings > General > Miscellaneous which is a new Google's requirement if you're using Google Maps ticket template element

= 3.2.9.6 - 18/SEP/2018 =
- Fixed issue with better events addon where notices could not be removed
- Removed "Cancel Pending Orders" options when Bridge for WooCommerce is activated
- Removed automatic redirection to a payment gateway page (like PayPal) when only one payment gateway is active (because we have now payment summary screen)
- Added new Store settings "Skip Payment Summary Page" which skips the payment summary (on the payment confirmation page) if only one payment gateway is active 
- Fixed issue with Post SMTP plugin
- Added hooks for developers
- Fixed dependencies for admin.js
- Added new cancelled order message which tracks which user with admin credentials cancelled the order
- Fixed the issue with cancelling paid orders by PayPal

= 3.2.9.5 - 30/AVG/2018 =
- Fixed issue with free orders and discount code

= 3.2.9.4 - 29/AVG/2018 =
- Added new option in the Settings "Show Attendee First and Last name Fields"
- Fixed issue with expired events still showing on category page
- Fixed issue with TCPDF being twice included
- Events table shows scroll on mobile phones when overflows
- Fixed issue with background on multiple pages ticket template
- Fixed issue with calendar display in the event page

= 3.2.9.3 - 16/AVG/2018 =
- Added option for EAN-13 Checker

= 3.2.9.2 - 18/JUL/2018 =
- Added Gutenberg blocks for Tickera core shortcodes, Bridge for WooCommerce and Seating Charts add-ons.
- Updated language file
- Added fix where multisite carts don't mix
- Added hooks for developers

= 3.2.9.1 - 26/JUN/2018 =
- Fixed issue with the dates in PDF export with WooCommerce
- Added a DOM check for cart widget
- Added additional check for EAN13 barcode
- Fixed issue with barcode and QR code not centering when value is 0

= 3.2.9.0 - 12/JUN/2018 =
- Fixed issue with the dates in the check-in apps

= 3.2.8.9 - 07/MAY/2018 =
- Fixed issue app not showing correct purchase time
- Fixed issue with discount code expire dates
- Fixed few notices
- Added final check before processing payment
- Added new hooks for developers
- Changed function for retrieving associated event with a ticket instance
- Fixed issue with date not displaying properly in apps
- More data collected on Stripe checkout
- Fixed issue with QR code not centering when padding is empty

= 3.2.8.8 - 09/APR/2018 =
-Fixed issue with colors in ticket template elements

= 3.2.8.7 - 6/APR/2018 =
- Added age restriction check for GDPR compliance
- Added TICKET_TYPE placeholder to attendee email
- Fixed deprecated functions
- Fixed issue with special characters in the ticket type ticket template element

= 3.2.8.6 - 20/MAR/2018 =
- Code Maintenance

= 3.2.8.5 - 19/MAR/2018 =
- Added Delete Info tab in Settings


= 3.2.8.4 - 7/MAR/2018 =
- Added attendee e-mail address to the check-in app
- Added new hooks and filters for developers
- Added fix for checkbox fields (custom forms add-on) for latest update of WooCommerce

= 3.2.8.3 - 19/FEB/2018 =
- Added new hooks for developers
- Fixed issues with custom forms capabilities on some multisite installations
- Added additional check for displaying event date for events
- Fixed date time zone in PDF export
- Updated cart widget to update dynamically
- Fixed notices in the function tc_get_event_tickets_count_sold when there are no any ticket types associated to an event

= 3.2.8.2 - 30/JAN/2018 =
- Added functions for developers
- Added another check for admin notice

= 3.2.8.1 - 05/JAN/2018 =
- Fix for saving event_id when using database caching plugins

= 3.2.8.0 - 04/JAN/2018 =
- Added hooks for developers

= 3.2.7.9 - 07/DEC/2017 =
- Added "Hide event after expiration" option on the event's single page in the admin
- Added check for debug state
- Fixed content encoding issues with check-in API responses caused by external plugins on some servers
- Added fix for memory limit on some servers caused by a big ticket template file (when a ticket background is huge etc.)
- Fixes typos on ticket template page in the admin area
- Fixed issue with checkout when a ticket is added to a cart after a discount code is applied

= 3.2.7.8 - 21/NOV/2017 = 
- Added hooks for developers
- Fixed issue with date shortcode
- Fixed issue with already defined class
- Fixed issue with API's not generating

= 3.2.7.7 - 26/OCT/2017 = 
- Added hooks for developers
- Fixed issue with tc_event_date shortcode
- Fixed fatal errors with 1.5.1 version of Gutenberg
- Fixed issue with counting cancelled orders in quantity left and overall sold quantity
- Added attendee emails (in addition to client email, an option for attendees to receive their tickets via email as well)

= 3.2.7.6 - 09/OCT/2017 =
- Fixed issue with offline payment gateway not showing properly

= 3.2.7.5 - 05/OCT/2017 =
- Added option for Offline Payment Gateway where it can be show only to admins
- Fixed issue with DIVI theme, not showing the shortcodes box


= 3.2.7.4 - 12/SEP/2017 =
- Fixed ticket template issues with RTL
- Fixed issue with inline edit in orders
- Fixed validation issue with ACF

= 3.2.7.3 - 08/SEP/2017 =
- Added hooks for developers
- Added another check for displaying styles in back-end
- Limited loading of validation.js
- Automatic adding of tickets when min/max requirement is not met disabled when Seating Charts add-on is active
- Fixed issue with API key search not working
- Fixed issue with Divi theme + Divi Builder plugin with [tc_payment] and [tc_process_payment] shortcodes in the admin area

= 3.2.7.2 - 31/JUN/2017 =
- Added another check for displaying styles in back-end
- Limited loading of validation.js
- Automatic adding of tickets when min/max requirement is not met disabled when Seating Charts add-on is active

= 3.2.7.1 - 27/JUN/2017 =
- Fixed bug with number of tickets created when placing an order with two different ticket types in cart and having specific number of items for both ticket types (11)
- Added new hooks for developers in the ticket cart template
- Added new hooks for developers in the front orders page

= 3.2.7 - 31/MAY/2017 =
- Added new Thai font for ticket templates

= 3.2.6.9 - 26/MAY/2017 =
- Fix for custom forms default radio button value selection when updating a cart

= 3.2.6.8 - 24/MAY/2017 =
- Output buffering fix for tc_event shortcode
- Fix for PayUMoney gateway (service_provider argument was in the wrong place)

= 3.2.6.7 - 02/MAY/2017 =
- Added new hooks for developers
- Check-in API changes to support newest Chrome Check-in app changes (improvements in the offline mode)
- Fixed additional conflicts with "qTranslate slug" plugin (order details page)
- Fixed issue with email subject escaping
- Added new option "Within following time after order" under "Available dates / times for check-in" for ticket type checkins

= 3.2.6.6 - 18/APR/2017 =
- Added admin notice when both versions of Tickera plugins are activated
- Fixed conflict with "qTranslate slug" plugin
- Fixed Stripe token error
- Added per_page argument for API Key search

= 3.2.6.5 - 11/APR/2017 =
- Fixes for checkin API

= 3.2.6.4 - 11/APR/2017 =
- Added new discount type (per order)
- Added improvements on the cart page (preserve posted values)

= 3.2.6.3 - 05/APR/2017 =
- Fixed issue with check-in app (showing pending orders in the list)

= 3.2.6.2 - 23/MAR/2017 =
- Added ORDER_DETAILS placeholder to admin order completed email
- Added quantity selector ("quantity" argument) for tc_ticket shortcode 

= 3.2.6.1 - 10/MAR/2017 =
- Fixed translation string

= 3.2.6 - 08/MAR/2017 = 
- Check-in API performance improvements
- Fixed issue with enabled ticket download from an order e-mail if ticket is deleted
- Fixed issue where shortcodes would not show in some themes
- Added check under system info for GD or Imagick PHP extensions (required for ticket template images)
- Added COOKIEPATH under system info
- Added extra check to display only published ticket templates
- Added hooks for labels in order_details placeholder

= 3.2.5.9 - 30/JAN/2017 = 
- Performance improvements
- Fixed issue with custom forms meta fields in the database
- Hidden 'Add New' buttons in for 'Orders' and 'Attendees' in newest WordPress version
- PayPal PRO changes (show city, zip code and select country automatically by client's IP address)
- Added new functions for retrieving client data by IP address

= 3.2.5.8 - 11/JAN/2017 = 
- Fixed issue with showing events data on the event category page
- Fixed conflict with JetPack plugin (random automatic redirect to the cart and/or process payment page)


= 3.2.5.7 - 09/JAN/2017 = 
- Changed tab display in settings panel
- Fixed issue with Today's earnings preview in the dashboard widget
- Fixed issue with cart not clearing after confirmation on free orders
- Added some CSS to support future addons
- Added hooks for styling e-mail table
- To confirmation page added another check before execution
- Code improvements in cart.js

= 3.2.5.6 - 08/NOV/2016 = 
- Fix for Visual Composer plugin

= 3.2.5.5 - 27/OCT/2016 = 
- Added new hooks for developers (on the order history page)
- HTML changes
- Small fixes for order saving on some servers
- Fixed notices upon saving an event
- Fixed issue with custom template size and background image

= 3.2.5.4 - 12/OCT/2016 = 
- Added additional filters for developers
- Added check-in support for QR Barcode Scanner Eyoyo EY-001 and similar QR code readers
- Check-in API improvements
- QR Code scan speed improvements (tc_qr_code_quick_scan_info set to true by default)

= 3.2.5.3 - 26/SEP/2016 = 
- Added duplicate event option
- Added admin notice messages on the single event page on the front-end if there isn't any associated ticket type or if ticket types are not shown (none of shortcodes is placed)
- Added new hooks for developers
- Added better security for tickets download when force login option is enabled
- Added limitation for loading CSS for certain post types in the admin
- Added cancelled order status
- Added new options for cancelling non-paid ("Order Received") orders after certain period - "Cancel Pending Orders" and "Cancel Pending Orders Interval"
- Removed "Delete Pending Orders" (replaced with "Cancel Pending Orders" option)
- Check-in API improvements
- Fixed issue with timestamps in the check-in API
- Fixed issue with not applying Font Style on a ticket template
- Fixed issue which occurs after multiple clicks on "Continue Checkout" with offline payments gateway
- Fixed issue with admin menu position (with Jupiter theme)
- Fixed issue with "WeChat Payments for WooCommerce" plugin
- Fixed conflict with "Check and Enable GZIP compression" plugin
- Fixed conflict with User Role Editor plugin (and similar plugins)

= 3.2.5.2 - 19/AUG/2016 = 
- Added new hooks for developers
- Fixed issue with automatic updater with WordPress 4.6+
- Fixed notices when creating bulk discount codes
- Fixed issues with hooks arguments in the check-in API filters
- Fixed issue with total amount display in the dashboard widget
- Fixed conflicts with Stripe payment gateway (when Event Builder themes is active)

= 3.2.5.1 - 15/AUG/2016 = 
- Added payment gateway show order option
- Added order note flag on the orders page (visible when an order has a note)
- Added new hooks for developers
- Added additional settings "Create and Force new session path"
- Removed comments form from order details page in the admin which appears when order has notes
- Fixed issue with formatting in the "Terms of Use" metabox in the event single post page (in the admin) 
- Fixed lost session data on the cart page on refresh when 100% discount code is used
- Updated Stripe library to 3.19.0 version
- Updated Fonts

= 3.2.5 - 08/JUL/2016 =
- Added check for allow_url_fopen in Tickera System section
- Fixed issue with redirect loop on payment pages when forcing HTTPS on some servers
- Changed wording in the admin for check-ins

= 3.2.4.9 - 07/JUL/2016 =
- Added new hooks for developers
- Fixed issue with PIN Payments payment gateway when in live mode

= 3.2.4.8 - 30/JUN/2016 =
- Fixed issue with counting sold tickets when some tickets are in the trash
- Fixed issue on the order details page (trashed tickets were shown on the list as well)
- Wording changes (Owner Info > Attendee info)

= 3.2.4.7 - 06/JUN/2016 =
- Added system information under settings of the plugin
- Fixed issue with wp_kses (added more approved tags)
- Slight logic changes in the create_order method
- Remove order session data on the payment page
- Changed hook for generate_ticket_preview method
- Added new hooks for developers
- Fixed issues with some fonts in PDF documents

= 3.2.4.6 - 27/MAY/2016 =
- Code improvements
- Fixed issue with new lines not being saved in the settings

= 3.2.4.5 - 26/MAY/2016 = 
- Fixed issue with wp_editor formatting (all HTML tags were stripped)
- Added new hook for developers (tc_force_login_url)

= 3.2.4.4 - 23/MAY/2016=
- Fix for empty discount codes (sometimes shown on the admin orders page)
- Fixed issue with cart_info cookie
- Fixed issue when process payment page is stopped (from browser by a user action) then continued

= 3.2.4.3 - 20/MAY/2016 =
- Orders (part in the admin) rewritten
- Added new logic when an order is trashed, deleted or restored (it's same for order's child attendee / ticket )
- Attendees & Tickets (part in the admin) rewritten
- Fixed deprecated message for get_currentuserinfo function
- Changes in functions add_admin_menu and add_network_admin_menu (and added new functions for Tickera admin menu)
- Removed unnecessary files
- Changes in the check-in API
- Added new set of capabilities for staff role
- Fixed issue with Staff role redirection when WooCommerce is active
- Security hardening

= 3.2.4.1 - 20/APR/2016 =
- Fixed issue with "Available dates for tickets selling" and "Available dates for check-in" option when "During selected date range" is selected.
- Changed some wording in the admin

= 3.2.4 - 11/APR/2016 =
- Added logs for IPN messages / errors (shown as Order Notes on the order details page in the admin)
- Added option to ignore PayPal IPN error messages
- Lifted curl connection timeout for retrieval of images

= 3.2.3.9 - 04/APR/2016 =
- Update for PHP7 (Deprecated: Methods with the same name as their class) - thanks to Omega Supreme
- Fixed issue with not adding background image on a ticket template (on some servers) when allow_url_fopen is allowed
- Added plugin updater support for new licensing server 

= 3.2.3.8 - 30/MAR/2016 =
- Added "Ticket Sales Availability Dates" functionality
- Added "Ticket Check-in Availability Dates" functionality
- Added "open_method" argument for tc_ticket buy now button shortcode (example usage: [tc_ticket id="1521" title="Buy Now" type="buynow" open_method="new"])
- Added additional logic which hides discount code value from the cart page when "Show Discount Code" option is turned off
- Fixed permissions issue when searching discount codes in the admin
- Fixed issue with deleting multiple ticket instances from trash
- Fixed issue with Dashboard widget sales count

= 3.2.3.7 - 23/MAR/2016 =
- Updated TCPDF library (6.2.12)
- Fixed cart conflicts with some themes

= 3.2.3.6 - 17/MAR/2016 =
- Added "Client Order Placed E-Mail" settings
- Added API / WordPress URL to the API Access admin screen in order to avoid confusion
- Added localized date format
- Added space between time and event location on events page of archive excerpts
- Added resend option for order confirmation emails
- Added additional filter (tc_ticket_table_email_columns) for developers
- Fixed issue with PDF export of WooCommerce variations when Bridge for WooCommerce add-on is active
- Fixed issue with email sending priority in the change_order_status_ajax method
- Updated Paygate payment gateway (added new test merchant_id 10011072130)
- Fixed issue with check-in API limit events retrieval
- Added support for PHP 7

= 3.2.3.5 - 09/MAR/2016 =
- Added support for Chrome Desktop check-in application
- Changes in the check-in API
- Added new hooks for developers
- Added SAR - Saudi Arabian riyal to the 2checkout.com payment gateway
- Fixed issue with event_tickets_left shortcode when shortcode is without event_id argument
- Change in the payment gateway logic for free orders (when to turn it off and when to activate it)
- Fixed issue with shortcodes when Tevolution plugin is installed

= 3.2.3.4 - 07/MAR/2016 =
- Added support for tcp:// session paths
- Added ob_gzhandler to the check-in API JSON responses

= 3.2.3.3 - 04/MAR/2016 =
- Added required field and placeholder option for select form elements
- Updated PayUMoney arguments for live transactions

= 3.2.3.2 - 02/MAR/2016 =
- Added better search for the check-in API

= 3.2.3.1 - 29/FEB/2016 =
- Added functionality for selecting multiple ticket types for discount code availability
- Updated PayUMoney payment gateway (resolved issues caused by the API changes)
- Fixed issue with Max Mega Menu plugin
- Fixed issue with the tc_event_date shortcode

= 3.2.3 - 24/FEB/2016 =
- Fixed issue with not listing attendees and orders properly with some (lower) PHP versions
- Added right path to the font-awesome.css (thanks to Selim Cotal)
- Added additional plugin-wide classes for JS validation
- Fixed strict standard notices for fields class

= 3.2.2.9 - 23/FEB/2016 =
- Changed jQuery on click events (bind on body)
- Changed some wording in the admin
- Fixed issue with saving extra meta values for WooCommerce products
- Added additional filters for developers

= 3.2.2.8 - 18/FEB/2016 =
- Fixed issue with Active switch button permissions on the ticket type and event admin page

= 3.2.2.7 - 17/FEB/2016 =
- Added Custom Image / Logo ticket template element
- Added Google Map ticket template element
- Fixed issue with tc_checkin_output_data filter
- Make custom session path more secured (where session path isn't writable initially)

= 3.2.2.6 - 11/FEB/2016 =
- Added 60 new currency symbols to the 2checkout.com payment gateway
- Added BitCash payment method to Komoju payment gateway

= 3.2.2.5 - 09/FEB/2016 =
- Fixed issue with rounding numbers when percentage discount is applied
- Removed unused capabilities
- Added new hooks for developers

= 3.2.2.4 - 05/FEB/2016 =
- Fixed issue with redirect loop when Tickera option "Show Events on the Front Page" is set and reading settings is not set to "Your latest posts"
- Added new global variables for developers ($better_ticket_types and $better_ticket_types) for easier modifications 
- Added new set of capabilities for Events and Ticket Types (check admin_capabilities and staff_capabilities methods in tickera.php)
- Changed default wording for success check-ins (in the apps)
- Added new hooks for developers

= 3.2.2.3 - 02/FEB/2016 =
- Added option to show events on the front page (Tickera > Settings > Miscellaneous > Show Events on the Front Page)
- Hide ticket types table for tc_event shortcode if there isn't any published ticket type associated with the event
- Fixed issue which allowed search engines to index certain custom post type which should be invisible
- Fixed issue with fees column in cart (when it's set to no)
- Added additional hooks and filters for developers

= 3.2.2.2 - 29/JAN/2016 =
- Design improvements / UX of Ticket Types and Events (admin area)
- Added additional locales to the PayPal Standard payment gateway
- Fixed issue with cache on delivery notifications for orders without tickets
- Fixed issue with addons page on some servers caused by SSL verification

= 3.2.2.1 - 22/JAN/2016 =
- Add new session path if session is not writable
- Added upcoming events widget
- Added standard widget classes to widgets

= 3.2.2 - 21/JAN/2016 =
- Fixed issue with enqueuing scripts via http

= 3.2.1.9 - 18/JAN/2016 =
- Added additional feature for auto-creating API Keys for event (upon creating an event)
- Show "Check in" option for the admin user in the Attendees & Tickets details screen by default
- Trimmed payment gateway value fields in order to avoid errors with copy/paste gateways's API keys
- Added tooltips, conditional show/hide and input validation on the settings page in the admin
- Added input validation for ticket types and discount codes
- Fixed issue with Ticket Type search and permissions in the admin

= 3.2.1.8 - 15/JAN/2016 =
- Fixed issue with radio and checkbox labels

= 3.2.1.7 - 11/JAN/2016 =
- Added Global Fee Scope option

= 3.2.1.6 - 06/JAN/2016 =
- Show buyer name in the attendees & tickets list (in the admin) if ticket owner name is not set
- Added additional hooks for developers

= 3.2.1.5 - 05/JAN/2016 =
- Fixed issue with jQuery validation causing issues on some WooCommerce themes
- Fixed display of the inclusive tax amount

= 3.2.1.4 - 22/DEC/2015 =
- Fixed issue with ticket templates close button not working in FF
- Added additional CSS style to the event calendar in the admin area
- Fixed issue with PayPal PRO (multiple clicks on the checkout)

= 3.2.1.3 - 17/DEC/2015 =
- Check-in API improvements
- Fixed issue with event edit link located on the orders admin page
- Added additional capabilities for controlling event management
- Fixed conflict with WooCommerce Add to Cart action

= 3.2.1.2 - 25/NOV/2015 =
- Added itemized description on the checkout (included ticket type titles)
- Improvements in the check-in API
- Added new hooks for developers
- Fixed issue with creating empty orders when visiting process payment page with empty cart

= 3.2.1.1 - 23/NOV/2015 =
- Added "Admin Order Placed E-Mail" notifications
- Added ORDER_TOTAL and BUYER_NAME placeholders to the offline payments payment Instructions field
- Added "Multipage Ticket Template" option
- Added additional field and options to the Authorize.net payment gateway
- If none gateways are active, set FREE Orders by default

= 3.2.1.0 - 20/NOV/2015 =
- Fixed permission error on the orders admin page when clicking on an event link under the "Ticket(s)" column
- Fixed issue with invalid user id when clicking on a user link on the admin order page
- Fixed notices on the order details page shown if settings are not yet saved
- Set first value as default on for the radio button element if default value is not set (works for the buyer and attendee data including custom forms)
- PayUMoney args typo fix


= 3.2.0.9 - 19/NOV/2015 =
- Added support for 2D barcode readers
- Added extra fields to Authorize.net payment gateway (required by the European merchants)
- Fixed issue issues with check-ins when orders are pending

= 3.2.0.8 - 17/NOV/2015 =
- Fixed issue with download links and permissions when using ORDER_DETAILS e-mail placeholder

= 3.2.0.7 - 12/NOV/2015 =
- Added new option "Show Tickets Automatically" under Event administration screen
- Fixed CSS issue for "Create New" menu item in the admin
- Fixed notices in the check-in API

= 3.2.0.6 - 06/NOV/2015 =
- Fixed issue with post statuses

= 3.2.0.5 - 06/NOV/2015 =
- Fixed issue with ticket ID alignment in ticket template 
- Fixed issue with Buyer Name in the e-mails when payments are processed via on-site payment gateways (like Stripe, PayPal pro, Paymill etc)
- Fixed issue with order search page permissions
- Added additional hooks for developers
- Fixes issues with check-in API
- Fixed issue with expiry date id (conflict with WooCommerce)
- Fixed issue with PIN Payments display errors
 
= 3.2.0.4 - 30/OCT/2015 =
- Fixed issues with the cart.js

= 3.2.0.3 - 22/OCT/2015 =
- Added better support for Events (added visual part for the front-end, native post type look and functionality)
- Added additional shortcodes to the shortcode builder
- Fixed issue with PayUMoney redirect loop
- Added Ticket ID ticket template element
- Added new hooks, filters and helpers for developers
- Redesigned interface for ticket templates
- Ticket code element bug fix
- Fixed issue with deleted checkins showing in the stats (in mobile apps)

= 3.2.0.2 - 14/OCT/2015 =
- Optimized PDF library and removed unused fonts
- Added additional shortcode arguments (added button type for tc_event shortcode)
- Fixed issue with API Keys pagination in the admin
- Fixed issue with discounts display (when discount value is greater than total)
- Added option for IPN page to be a physical page (instead of virtual)
- Added notice in the settings for servers which don't support at least 5.3 version of PHP
- Automatically disable certain payment gateways (Optimal Payments / Netbanx and Beanstream) on servers which has PHP version bellow 5.3 
- Added additional hooks and filters for developers
- Added Global ticket fees option

= 3.2.0.1 - 13/OCT/2015 =
- Added new hooks and filters for developers
- Compatibility with Event Calendar add-on (https://tickera.com/addons/tickera-event-calendar/) 
- Compatibility with Event Role Based Prices add-on (https://tickera.com/addons/role-based-prices/)

= 3.2 - 07/OCT/2015 =
- Added event end date
- Added OptimalPayments / Netbanx payment gateway
- Added new hooks and filters for developers
- Added login link to the order history shortcode / page

= 3.1.9.9 - 06/OCT/2015 =
- Added Order Details placeholder for order completed client email
- Added ORDER_ID placeholder to the offline payments
- Add option for process payment page to be created as physical page
- Consolidated hooks & filters names and added basic documentation (https://tickera.com/tickera-documentation/hooks-and-filters/)
- Fixed issues with slashes in some input fields in the admin
- Fixed issues with check-in API when API Key is limited to a single event

= 3.1.9.8 - 01/OCT/2015 =
- Added option to recreate deleted tickets from order details page
- Added option for controlling e-mail sending type (wp_mail or PHP mail) under plugin e-mail settings
- Added additional shortcode [tc_order_history] which shows order / purchase history for logged-in users
- Added Ticket Order History on the user profile page in the admin
- Added additional column for ticket orders count on the user list page in the admin
- Added default fields value to the buyer form (user first name, last name and the email will be automatically pulled and shown in the input fields by default)
- Fixed JS issues with cart validation (conflict with some themes)

= 3.1.9.7 - 30/SEP/2015 =
- Added Beanstream payment gateway
- Added additional order status: trash
- Added order status filters in the admin area
- Fixed issue with event date and time shown on the ticket


= 3.1.9.6 - 28/SEP/2015 =
- Change Free Order gateway (redirect to the confirmation page automatically and skip the payment page)
- Added option for controlling "Order Details Pretty Links" in order to avoid conflicts (404 not found order details pages) with some third-party plugins and themes
- Added "Skip Payment Confirmation Page" option in each payment gateway settings
- Fixed issue with not clearing "Delete Pending Orders" cron job correctly

= 3.1.9.5 - 17/SEP/2015 =
- Added option for changing locale for Komoju payment gateway
- Removed unnecessary decimals from the price amount (you can override the logic / number of decimal places by using the tc_cart_amount_decimals filter) 

= 3.1.9.4 - 10/SEP/2015 =
- Added additional currencies in the Braintree Payment Gateway
- Fixed issues with Payu Money payment gateway
- Fixed issue with display date and time based on different time zones
- Fixed issue with extra slashes added to the payment gateway fields
- Fixed issue not being able to click bottom pallete of color picker
- Ticket code not aligning fixed
- Fixed issues with clearing session and cookie data after confirmation

= 3.1.9.2 - 02/SEP/2015 =
- Added PayU Latam Payment Gateway integration
- Added Komoju Payment Gateway integration
- Added inline edit option for the attendee info (First Name, Last Name and E-mail fields) on the order details page (admin side)
- Added Malaysia locale for PayPal standard and additional filters for developers
- Added JavaScript validation for buyer email field on the front-end
- Added option to control sending of Stripe Receipt automatically after completed purchase (receipt_email)
- Fixed issues with white-labeling of "Tickera" in the shortcode builder (when TICKET_PLUGIN_TITLE is defined)
- Fixed issues with open comments (in some themes) on the tickera pages

= 3.1.9.1 - 19/AUG/2015 =
- Revamp of the payment gateway API and all payment gateways code (IMPORTANT: if you're using payment gateway add-ons, please update them)
- Added Form Field API (beta)
- Added Simplify Payment Gateway
- Fixed issues with WordPress 4.3 (construct for Widgets)
- Removed White Payments payment gateways (their service is discontinued)


= 3.1.9 - 17/AUG/2015 =
- Added shortcode builder
- Fixed issues with attendee list in the mobile apps / check-in API
- Fixed admin notices on the event and ticket type page
- Added message when order id is not specified on the order details page

= 3.1.8.8 - 03/AUG/2015 =
- Added "Ticketing Store at a Glance" dashboard widget

= 3.1.8.6 - 31/JUL/2015 =
- Added toggle controls for event and ticket visibility
- Added delete pending orders functionality
- Removed uppercase from buttons
- Fixed Ipay label
- Removed align right from credit card tables

= 3.1.8.5 - 27/JUL/2015 =
- Added new plugin updater

= 3.1.8.4 - 27/JUL/2015 =
- Added missing div

= 3.1.8.3 - 02/JUL/2015 =
- Added quantity column option to the events shortcode. Example: [event id="53" quantity="true"]

= 3.1.8.2 - 01/JUL/2015 =
- Check-in API improvements (added additional filters used by custom fields add-on)

= 3.1.8.1 - 26/JUN/2015 =
- Fixed conflict with Divi theme (2.4.3) which caused fatal error when downloading a PDF ticket

= 3.1.8 - 25/JUN/2015 =
- Added price inclusive of tax option

= 3.1.7.9 - 23/JUN/2015 =
- Added support for ANSI A (216x279 mm) US paper size for ticket templates
- Fixed issue with ticket template not showing

= 3.1.7.8 - 17/JUN/2015 =
- Added wp editors instead of textareas for ticket description and event terms and conditions

= 3.1.7.7 - 16/JUN/2015 =
- CSS fixes for select boxes in the admin (to avoid theme issues)
- Code improvements and added additional options for discount codes (for developers)

= 3.1.7.6 - 06/JUN/2015 =
- Added option for API KEYs to have access to all events at once
- Check-in API improvements

= 3.1.7.5 - 06/JUN/2015 =
- Added new user capabilities

= 3.1.7.4 - 29/MAY/2015 =
- Added Cell Alignment and Element Break Lines control to the Sponsor Logos ticket template element
- Added BUYER_NAME email confirmation placeholder
- Fixed e-mail formatting for order confirmation e-mails
- Fixed typo in PayPal Pro payment gateway (admin)

= 3.1.7.3 - 26/MAY/2015 =
- Improved check-in API

= 3.1.7.2 - 21/MAY/2015 =
- Updated language file

= 3.1.7.1 - 05/MAY/2015 =
- Added automatic Stripe receipt sending option
- Extended mobile check-in API

= 3.1.7 - 29/APR/2015 =
- Fixed issue with ticket sold count displayed in orders table
- Fixed issue with custom forms add-on 
- Added new hooks for developers (tc_2d_code_params)

= 3.1.6.9 - 28/APR/2015 =
- Fixed issues with Custom Forms on the front (cart page) in Firefox

= 3.1.6.8 - 20/APR/2015 =
- Added additional hooks for developers
- Various code improvements

= 3.1.6.7 - 17/APR/2015 =
- Fixed issue with admin discount code page pagination
- Added additional hooks for developers (for skipping payment confirmation page)

= 3.1.6.6 - 15/APR/2015 =
- Added additional shortcodes (event_tickets_sold, event_tickets_left, tickets_sold, tickets_left)
- Fixed issue with incorrect total amount shown on the 2checkout.com

= 3.1.6.5 - 09/APR/2015 =
- Added quantity sold field on ticket types screen in the admin

= 3.1.6.4 - 08/APR/2015 =
- Added option to control availability of the payment gateways for all subsites from within a multisite admin panel
- Added additional hooks for developers

= 3.1.6.3 - 04/APR/2015 =
- Fixed issue with payment gateway public name shown on front (was admin_name instead)

= 3.1.6.2 - 31/MAR/2015 =
- Hide cart menu by default
- Removed unnecessary plugin menu items
- Fixed issue with owner required fields

= 3.1.6.1 - 27/MAR/2015 =
- Fixed issue with discount limit

= 3.1.6 - 26/MAR/2015 =
- Added iPay88 payment gateway

= 3.1.5.9 - 23/MAR/2015 =
- Added PayGate payment gateway

= 3.1.5.8 - 20/MAR/2015 =
- Fixed translation string
- Added additional hooks for developers
- Other code improvements

= 3.1.5.7 - 11/MAR/2015 =
- Fixed issues caused by forcing json content type (fixed potential conflicts with other plugins and themes)

= 3.1.5.6 - 10/MAR/2015 =
- Fixed issue with barcode scan
- Fixed issue with order confirmation mail with Offline Payments

= 3.1.5.5 - 09/MAR/2015 =
- Fixed issues with comment form when tickera is activated

= 3.1.5.4 - 06/MAR/2015 =
- Fixed issue with update cart check control on the cart page

= 3.1.5.3 - 05/MAR/2015 =
- Fixed issue caused by output buffering when downloading a ticket (on some servers) 
- Added customer front order detail page link on the order details page in the admin

= 3.1.5.2 - 05/MAR/2015 =
- Fixed issue with the HTML characters in the email body

= 3.1.5.1 - 05/MAR/2015 =
- Fixed issue with broken images in the content editors in admin (in order messages, offline payments and free orders editors)

= 3.1.5 - 04/MAR/2015 =
- Fixed issue with output buffering when downloading a ticket

= 3.1.4.9 - 04/MAR/2015 =
- Added option to hide discount code field from the cart page
- Added option to control number of result rows displayed in the admin tables

= 3.1.4.8 - 03/MAR/2015 =
- Added additional control on the cart page (force cart update)

= 3.1.4.7 - 25/FEB/2015 =
- Added new hooks for developers
- Other code improvements

= 3.1.4.6 - 16/FEB/2015 =
- Added additional charge parameters in the White Payments gateway
- Fixed VoguePay process payment content type issue

= 3.1.4.5 - 08/FEB/2015 =
- Added White Payments payment gateway (https://whitepayments.com/)
- Improved cart performance when checking out a lot of tickets (few hundreds)

= 3.1.4.4 - 03/FEB/2015 =
- Fixed issues with saving custom offline payments fields in the admin
- Fixed issue with including JS files on the payment page in Stripe payment gateway

= 3.1.4.3 - 02/FEB/2015 =
- Added option for e-mail payment instructions upon placing an order in custom / offline payments gateway
- Added customer e-mail field on the order details in the admin
- Fixed text domain issue in Free Order and Custom Offline payments gateways

= 3.1.4.2 - 30/JAN/2015 =
- Fixed issues with ticket quantity limits
- Fixed issue with post author upon creating default tickera pages

= 3.1.4.1 - 27/JAN/2015 =
- Resolved issues with permalinks (with custom post types)

= 3.1.4 - 20/JAN/2015 =
- Fixed issue with Android app check in response error

= 3.1.3.9 - 20/JAN/2015 =
- Added Thai Baht currency in PayPal Standar gateway

= 3.1.3.8 - 14/JAN/2015 =
- Added new ticket template elements (ticket code and buyer name)
- Added changes to the check-in API required for the upcoming iPhone app

= 3.1.3.7 - 12/JAN/2015 =
- Fixed issue with discount code limit with percentage discount code type (not being applying on more than one ticket)

= 3.1.3.6 - 09/JAN/2015 =
- IMPORTANT: Added physical pages instead of virtual pages
- PayTabs payment gateway update (to reflect new API changes)
- Improvements in the checkout process on front (changed in the both design and code)

= 3.1.3.5 - 30/DEC/2014 =
- Improvements in the check-in API

= 3.1.3.4 - 29/DEC/2014 =
- Added PayTabs payment gateway (Africa, Middle East and Asia)

= 3.1.3.3 - 27/DEC/2014 =
- Resolved notices and issues with the previous version

= 3.1.3.2 - 26/DEC/2014 =
- Added: PayUMoney payment gateway (India)
- Added: automatic redirect to the gateway's payment page for 2Checkout, VoguePay and PayPal Standard
- Added: additional ticket shortcode argument (type="buynow") for automatic redirection to the cart page
- Changed: show payment gateway even in case that only one is active
- Fixed: small rounding issues with comparing payment amounts

= 3.1.3.1 - 18/DEC/2014 =
- Fixed Internet Explorer issues with payment gateway selection
- Code improvements with the ticket download section

= 3.1.3 - 11/DEC/2014 =
- Fixed small JS issues on the payment gateways screen in the admin

= 3.1.2.9 - 11/DEC/2014 =
- Admin UX improvements

= 3.1.2.8 - 03/DEC/2014 =
- Added attendee list PDF export feature

= 3.1.2.7 - 29/NOV/2014 =
- VoguePay payment gateway update (to reflect API changes)
- Resolved issue with all select boxed in the admin (display more than 10 records)

= 3.1.2.6 - 28/NOV/2014 =
- Resolved issue with pagination class (not displaying more than 10 pages)

= 3.1.2.5 - 25/NOV/2014 =
- Added White Payments gateway (beta)
- Fixed issue with Ticket Types pagination in the admin

= 3.1.2.4 - 20/NOV/2014 =
- IMPORTANT: after installing this version of Tickera, you must save plugin General Settings once again
- Reworked all payment gateways code
- Resolved issues with emails not being sent after payment confirmation (on some servers)

= 3.1.2.3 - 14/NOV/2014 ==
- Fixed issues with discount code being applied even if it's deleted

= 3.1.2.2 - 12/NOV/2014 =
- Added option to hide owner info fields from the cart page

= 3.1.2.1 - 08/NOV/2014 =
- Resolved issue with incorrectly date and time on tickets
- Fixed bug with not setting QR code size

= 3.1.2.0 - 05/NOV/2014 =
- Resolved issues with "Checked-in Tickets" count shown in mobile apps

= 3.1.1.9 - 31/OCT/2014 =
- Resolved issues with plugin updater

= 3.1.1.8 - 30/OCT/2014 =
- Resolved output buffering issues with ticket PDF preview (occurred only on some servers)

= 3.1.1.7 - 28/OCT/2014 =
- Removed deprecated jQuery function 'live' and changed to 'on'
- Added additional hooks for owner fields

= 3.1.1.6 - 28/OCT/2014 =
- Fixed bug with all ticket types deletion when a event is deleted
- Added plugin update option from within the WordPress administration panel

= 3.1.1.5 - 27/OCT/2014 =
- Fixed bug with clearfix

= 3.1.1.4 - 27/OCT/2014 =
- Fixed text domain issues and generated default language files

= 3.1.1.3 - 26/OCT/2014 =
- Added output buffering error description and instructions for fixing it (shown only on some servers when trying to generate a ticket)
- Resolved issues with confirmation screen (only on some servers) after payment via PayPal Standard payment gateway

= 3.1.1.2 - 20/OCT/2014 =
- Fixed unclosed div on front-end forms
- Added tc_event shortcode in order to avoid clash with other themes and plugins

= 3.1.1.1 - 19/OCT/2014 =
- Fixed PHP notices on the cart page

= 3.1.1.0 - 18/OCT/2014 =
- Resolved issues with non-selectable select boxes on ticket templates page in Firefox 

= 3.1.0.9 - 18/OCT/2014 =
- Resolved issues with e-mails (incorrect email headers, client e-mails not being sent)
- Added option to send completed order e-mail confirmation to clients upon changing order status to order paid

= 3.1.0.8 - 17/OCT/2014 =
- Added Braintree payment gateway

= 3.1.0.7 - 16/OCT/2014 =
- Added VoguePay payment gateway

= 3.1.0.6 - 16/OCT/2014 =
- Resolved issue with Cart page

= 3.1.0.5 - 15/OCT/2014 =
- Fixed issue with incorrectly closed html tags on the cart page

= 3.1.0.4 - 15/OCT/2014 =
- Removed reset CSS from front.css

= 3.1.0.3 - 14/OCT/2014 =
- Fixed issue with proceed button on the cart page

= 3.1.0.2 - 08/OCT/2014 =
- Fixed issue with anonymous functions which caused fatal PHP errors (before PHP 5.3.0) upon installation
- Added option for custom cart URL
- Various code improvements

= 3.1.0.1 - 06/OCT/2014 =
- Fixed issue with PayPal Standard payment gateway and its selected mode (sandbox / live)
- Fixed issue with wp_mail email content type (set to 'text/html')
- Fixed issue with incorrect link to order page in the notification emails
- Added classes for input fields and wrapping divs on front-end

= 3.1.0 - 04/OCT/2014 =
- Added PayPal PRO payment gateway

= 3.0.1 - 01/OCT/2014 =
- Fixed issue with PDF preview
- Resolved bug (PHP fatal error) with FREE Orders gateway

= 3.0 - 29/SEP/2014 =
----------------------------------------------------------------------
 - Plugin built from the ground up